.miam-recipe-filters {
  position: relative;
  left: 0px;
  top: 0px;
  width: 216px;
  height: 900px;
  border-right: solid 1px #e9e9e9;
  padding: 16px;
  
  transition: none;


  &.filter-collapsed{ 
    width: 0px;
    padding: 0px;
  }
  
  .miam-recipe-filters__toggle{
    transition: width 250ms cubic-bezier(0, 0, 0.2, 1);
    background: var(--m-color-primary);
    color: var(--m-color-white);
    position: absolute;
    left: 100%;
    top: 350px;
    z-index: 1;
    display: flex;
    padding: 16px 24px 16px 24px;
    border-radius: 0px 100px 100px 0px;
    cursor: pointer;
    font-size: 17px;
    font-weight: 700;
    align-items: center;
    ng-miam-icon {
      transform: rotate(90deg);
    }
    
    &.filter-collapsed{
      min-width: 200px;
      ng-miam-icon {
        transform: rotate(-90deg);
      }
    }
  }
  
  .miam-recipe-filters__container{
    
    transition: opacity 250ms cubic-bezier(0, 0, 0.2, 1);
    opacity: 1;
  
    &.filter-collapsed{
      transition:none;
      opacity: 0;
    }
  
    .miam-recipe-filters__title {
      margin: 8px 0;
      font-weight: bold;
      font-size: 17px;
      line-height: 20px;
      
    }
  
    .miam-recipe-filters__choice {
      margin: 8px 0;
      display: flex;
      height: 20px;
      &::first-letter {
        text-transform: capitalize;
      }
  
      input {
        height: 20px;
        width: 20px;
        margin: 0 12px 0 0;
      }
    }
  
    .miam-recipe-filters__remove {
      margin: 16px 0;
      text-align: center;
    }
  
    .miam-recipe-filters__separator {
      width: 174px;
      height: 1px;
      background-color: #e9e9e9;
      margin: 16px 0;
    }
  
  }

}
